#!/bin/itkwish3.0

lappend auto_path /usr/lib/iwidgets3.0.0
#package require Iwidgets 3.0

#!/bin/sh
# ----------------------------------------------------------------------
#  PROGRAM: Visual Raptor derived from BNC (BESC Network Center)
# ----------------------------------------------------------------------
#  Jack P. Williams
#  BESC/NMDI System Administration UNIX Team Leader
#  jack.williams@jntf.osd.mil
#  
#\
#exec itkwish3.0 "$0"

package require Itcl
package require Itk
package require Iwidgets 3.0

global widget; 

proc init {argc argv} {
global picin is glin maxin
#puts ">$argc<>$argv<"
#if {$argv == ""} {set picin dinovelocrecon.gif} {set picin $argv}
#puts ">$picin<"
##puts ">[.about configure]<"
set fmt "+%S"
set sec [eval exec date $fmt]
set sec [expr int($sec.)]
set secr [expr $sec%10]
if {$secr < 1} {set secr 10}
#puts "><"
set k 1
set is $secr
set pathnam /etc/vr/dino/
catch {eval exec "\ls -1 $pathnam"} result
  set result1 $result
    for {set j 1} {$j != 30} {set j [incr j]} {
      set km1 [expr [string first "\n" $result1]-1]
      set kp1 [expr [string first "\n" $result1]+1]
      set lin($j) [string range $result1 0 $km1]
      if {[string match *.gif $lin($j)]} {
        set glin($k) $lin($j)
        #puts "# k=$k #####>$glin($k)<#####"
        incr k
      }
      set result1 [string range $result1 $kp1 end]
      if {[string first "\n" $result1] == -1} {break}
    }
    set lin($j) $result1
    set maxin [expr $k-1]
    #puts "# k=$k #####>$glin($k)<#####"
  set picin $glin($is)
}

init $argc $argv

proc main {argc argv} {
global glin is
  
.about activate
}

proc {rotate-pic} {} {
global glin is picin rest maxin photo file dimage
.about deactivate
set picin $glin($is)
#puts ">$picin<"
#puts "image=>[image names]<"
#image delete image1
#set file [file join /etc vr dino $picin]
#set dimage [image create photo -file $file]
#puts ">>[image1 configure ]<<"
image1 configure -file [file join /etc vr dino $picin]
vTclWindow. ""
incr is; if {$is > $maxin} {set is 1}
.about activate
}

proc Window {args} {
global vTcl rest
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

# ----------------------------------------------------------------------
# "About" window
# ----------------------------------------------------------------------
iwidgets::dialog .about -title {About: BNC with Visual Raptor Mode} -modality none 
.about hide "Apply"
.about hide "Help"
.about hide "Cancel"
#.about buttonconfigure "OK" -command ".about deactivate"
.about buttonconfigure "OK" -command "exit"
.about default "OK"
wm geometry .about +150+150

set win [.about childsite]
label $win.title -text {[Visual Raptor]}
pack $win.title
catch {$win.title configure -font -*-helvetica-bold-o-normal-*-*-180-*}

set file [file join /etc vr dino $picin]
set dimage [image create photo -file $file]
label $win.icon -image $dimage
bind $win.icon <Button-1> {
rotate-pic}
pack $win.icon -side left

label $win.by -text "Written By:"
pack $win.by
catch {$win.by configure -font -*-helvetica-medium-r-normal-*-*-100-*}

label $win.author -text "Jack Williams"
pack $win.author
catch {$win.author configure -font -*-helvetica-medium-o-normal-*-*-120-*}

label $win.cr2 -text "With Special Credit to:"
pack $win.cr2
catch {$win.cr2 configure -font -*-helvetica-medium-r-normal-*-*-100-*}

label $win.cr2s -text "CJ Jones
Bob Hudson
Larry McNeill
Nick Lucas
"
pack $win.cr2s
catch {$win.cr2s configure -font -*-helvetica-medium-o-normal-*-*-120-*}

label $win.ad -text "Let 
Visual Raptor
patrol your
networks

always
quietly
circling"
pack $win.ad
catch {$win.ad configure -font -*-helvetica-bold-r-normal-*-*-140-*}

Window show .
#Window show .top17

main $argc $argv
